﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShipyardDataBaseImplement.Models
{
    public class ShipDetail
    {
        public int Id { get; set; }
        [Required]
        public int ShipId { get; set; }
        [Required]
        public int DetailId { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Detail Detail { get; set; } = new();
        public virtual Ship Ship { get; set; } = new();

    }
}
