﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShipyardDataBaseImplement.Models
{
    public class ShopShip
    {
        public int Id { get; set; }

        [Required]
        public int ShopId { get; set; }

        [Required]
        public int ShipId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Ship Ship { get; set; } = new();

        public virtual Shop Shop { get; set; } = new();
    }
}
