﻿using ShipyardDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShipyardContracts.ViewModels
{
    public class ShipViewModel:IShipModel
    {
        public int Id { get; set; }
        [DisplayName("Название корабля")]
        public string ShipName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IDetailModel, int)> ShipDetails { get; set; } = new();
    }
}
